---
title: Mand Mobile
---

`Mand Mobile` is a mobile component library designed for financial scenarios，which is based on `Vue.js`. It has been actually applied to more than 10 products in the four major financial business segments of DiDi Chuxing.

#### Features

* <b>Rich Components</b>

    40+ practical components can meet the basic needs of the mobile development, especially for financial scenarios.

* <b>Unified visual specification</b> 

    Designed and maintained by designers of DiDi Finance Department to ensure a high\-level visual consistency within and among projects.

* <b>Strictly controlled Bundle volume </b> 

    Provide on-demand loading capabilities and flexible use, avoid the import of useless code, and exporting `es`, `umd` formats and `px`, `vh/vw` two style units

* <b>Flexible style theme</b> 

    UI style is configurable, flexible and easy to adapt to different design styles.

* <b>Support TypeScript</b> 

* <b>Support server-side rendering</b> 

#### Version

[![npm package](https://img.shields.io/npm/v/mand-mobile.svg?style=flat-square)](http://npmjs.com/package/mand-mobile)

> Subscribe to this feed for new version notifications: https://github.com/didi/mand-mobile/releases.atom

#### Browser Support

* Modern browsers
* iOS 6+
* Android 4.0+

#### Quickstart

Please refer to <a href="#/docs/started">Quickstart</a>

#### Links

* <a href="https://github.com/mand-mobile/palette" target="_blank">🎨 palette</a>
* <a href="https://github.com/mand-mobile/vue-cli3-example" target="_blank">🍭 vue-cli3-example</a>
* <a href="https://github.com/mand-mobile/vue-cli-plugin-mand" target="_blank">🍄 vue-cli-plugin-mand</a>
* <a href="https://github.com/mand-mobile/mand-mobile-template" target="_blank">🛍 mand-mobile-template</a>

#### Users

> If your company or product uses Mand Mobile，please let us know [here](https://github.com/didi/mand-mobile/issues/59).

#### Contribution

Please read our <a href="#/docs/development">Development Guide</a> first. If you'd like to help us improve Mand Mobile, please create <a href="https://github.com/didi/mand-mobile/issues" targe="_blank">Issue</a> or <a href="https://github.com/didi/mand-mobile/pulls" targe="_blank">Pull Request</a>.

#### Community

If you have problems during use, you can scan the QR code below to join the official group for help and it's expected that you share your personal experience to help others.  

<img src="https://pt-starimg.didistatic.com/static/starimg/img/KitzF6QlrR1543994331272.jpg" alt="Mand Mobile Community" width="200"/>

